<?php namespace App\Utils\ResponseAbstract;

abstract class ResponseBuilderAbstract
{
    public $status;
    public $data;
    public $errors;
    abstract public function setStatus(int $status);
    abstract public function setData($data);
    abstract public function setErrors(array $errors);
    abstract public function build();
}